# Symbiote Panel Expander Plugin

This unofficial TaleSpire plugin for allowing Symbiotes to specify the size of the Symbiote panel when they are active.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log
```
1.0.0: Initial release
```

## Install

Install using R2ModMan or similar.

## Usage (As A Synbiote User)

Sit back and relax, everything is done for you automatically.

## Usage (As A Synbiote Creator)

The manifest of the Symbiote has a environment object which contains a number of possible properties.
This plugin allows the manifest to contain a ``symbiote_width`` property which contains the desired with of the
Symbiote panel when active and open.

For example:
```
{
  "manifestVersion": 1,
  "name": "LA Dice Roller",
  "version": "1.0.0",
  "summary": "A Symbiote to roll dice normally, with advantage, or with disadvantage",
  "entryPoint": "/roll.html",
  "descriptionFilePath": "/readme.md",
  "api": {
    "version": "0.1",
    "subscriptions": {
      "dice": {
        "onRollResults": "handleRollResult"
      }
    }
  },
  "environment": {
    "symbiote_width": 800,
    "webViewBackgroundColor": "#000000",
    "capabilities": [
      "runInBackground"
    ],
    "extras": [
      "fonts",
      "colorStyles"
    ]
  }
}
```

The value of ``symbiote_width`` can be either an absolute value in pixels or a percentage of the screen width.
An absolute value, in pixels, it good for Symbiotes that have a fixed width and do not resize to take up the
full Symbiote width. In such a case, set the ``symbiote_width`` value to the fixed width value that the Symbiote
uses. For Symbiotes that resize to take up the size of the Symbiote width, use a percentage value for better
appearance. Such as: ``"symbiote_width": "33%"``.


